2018-12-18 23:42 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000031Branch 0.2.1-FINALBugpublic2010-06-08 01:39
ReporterQuix0r 
Assigned ToQuix0r 
PrioritynormalSeveritytweakReproducibilityalways
StatusassignedResolutionopen 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version 
Summary0000031: Userdetails enthält Bug, wenn Geburtsdatum älter wie die Uni*-Epoche ist
DescriptionWenn das Geburtsdatum des angezeigten Users älter ist wie die Uni*-Epoche (diese hat 1. Januar, 1970, 00:00:00 Uhr GMT angefangen), wird folgende Fehlermeldung ausgegeben:

$0 bigintval(-637981200) called at [/www/htdocs/inc/functions.php:574]
$1 MAKE_DATETIME(-637981200, 3) called at [/www/htdocs/inc/modules/admin/what-list_user.php:122]
$2 include(/www/htdocs/inc/modules/admin/what-list_user.php) called at [/www/htdocs/inc/modules/admin/action-user.php:47]
$3 include(/www/inc/modules/admin/action-user.php) called at [/www/htdocs/inc/modules/admin/admin-inc.php:352]
$4 ADMIN_DO_ACTION(list_user) called at [/www/htdocs/inc/modules/admin.php:368]
$5 include(/www/htdocs/inc/modules/admin.php) called at [/www/htdocs/modules.php:157]
Steps To ReproduceUser anmelden das Geburtsdatum z.B. auf 1.1.1969 stellen, es wird an bigintval() ein negativer Wert übermittelt.
Additional InformationDerzeit existiert ein Workaround. Dieser sorgt dafür das entsprechende Geburtstage mit "Nie" ausgegeben werden. Dies ist aber auf Dauer nicht gut und sollte noch in der 0.2.1-FINAL irgentwie gefixt werden.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
child of 0000030assignedQuix0r Zeitstempel sollten nicht mehr BIGINT(20) sein, sondern TIMESTAMP 
+Relationships

-Notes

~0000066

Quix0r (administrator)

Revision 708 hat dies leider nicht "gefixt". Erst 709 "fixt" es.

~0000129

Quix0r (administrator)

Das kann dauern, da dies auch von dem Bug "BIGINT(20)->TIMETSAMP" abhaengt.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-25 20:38 Quix0r New Issue
2008-12-25 20:38 Quix0r Status new => assigned
2008-12-25 20:38 Quix0r Assigned To => Quix0r
2008-12-25 20:40 Quix0r Note Added: 0000066
2009-02-06 01:42 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-06 01:58 Quix0r Note Added: 0000129
2009-02-06 01:58 Quix0r Projection none => major rework
2009-02-06 01:58 Quix0r ETA none => < 1 week
2009-02-06 01:58 Quix0r Build => SVN-HEAD
2009-02-06 01:58 Quix0r Description Updated
2009-02-07 15:01 Quix0r Relationship added child of 0000030
2009-08-06 14:09 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:09 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-10-05 14:15 Quix0r Summary Userdetails enthält Bug, wenn Geburtsdatum älter wie die Unix-Epoche ist => Userdetails enthält Bug, wenn Geburtsdatum älter wie die Uni*-Epoche ist
2009-10-05 14:15 Quix0r Description Updated
2009-10-05 14:15 Quix0r Description Updated
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:44 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:39 Quix0r Fixed in Version 0.2.1-FINAL =>
+Issue History